Skip to main content
GET
/
integrations
Get all integrations
curl --request GET \
  --url https://api.vantage.sh/v2/integrations \
  --header 'Authorization: Bearer <token>'
{
  "links": {
    "self": "https://api.vantage.sh/v2/integrations",
    "first": "https://api.vantage.sh/v2/integrations?page=1",
    "next": null,
    "last": "https://api.vantage.sh/v2/integrations?page=1",
    "prev": null
  },
  "integrations": [
    {
      "token": "accss_crdntl_ac985d1d8bb8bc12",
      "provider": "gcp",
      "account_identifier": "project_id-3fc92ac0",
      "status": "imported",
      "last_updated": "2024-07-30T15:30:22Z",
      "workspace_tokens": [
        "wrkspc_838cb4508ead3f6d"
      ],
      "created_at": "2024-07-29T21:41:49Z",
      "managed_account_tokens": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

provider
enum<string>

Query by provider name to list all Integrations for a specific provider.

Available options:
aws,
azure,
gcp,
snowflake,
databricks,
mongo,
datadog,
fastly,
new_relic,
opencost,
open_ai,
oracle,
confluent,
planetscale,
coralogix,
kubernetes,
custom_provider,
github,
linode,
grafana,
clickhouse,
temporal,
twilio,
azure_csp,
kubernetes_agent,
anthropic,
anyscale,
cursor,
elastic,
vercel,
redis_cloud,
circle_ci
account_identifier
string

Query by account identifier to list all Integrations that match a specific account. For Azure, this is the subscription ID. Must include provider when using this parameter.

page
integer<int32>

The page of results to return.

limit
integer<int32>

The number of results to return. The maximum is 1000.

Response

200 - application/json

Integrations model

integrations
object[]
required